#include <bits/stdc++.h>

using namespace std;

long long A;

int main() {
	scanf("%lld", &A);
	int p = 0;
	while (A > 0) {
		if (A % 10 == 0 && p == 0) {
			
		} else if (A % 10 == 2) {
			printf("5");
			p = 1;
		} else if (A % 10 == 5) {
			printf("2");
			p = 1;
		} else {
			printf("%d", A % 10);
			p = 1;
		}
		A = A / 10;
	}
	return 0;
}